PHP Manual
Prev |  | Next

# posix_setuid

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

posix_setuid -- Set the UID of the current process

## Description

bool posix_setuid ( int uid )

Set the real user ID of the current process. This is a privileged function and you need appropriate privileges (usually root) on your system to be able to perform this function.

## Parameters

`uid`

  The user id.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

posix_setgid()

Prev | Home | Next
posix_setsid | Up | posix_strerror